[Unit]
Description=Nummi server (accounting)
After=network.target

[Service]
Type=simple
User=nummi
Group=nummi
RuntimeDirectory=nummi
WorkingDirectory=/usr/share/webapps/nummi
Environment=NUMMI_CONFIG=/etc/nummi/config.toml
ExecStartPre=/usr/bin/python manage.py migrate
ExecStartPre=/usr/bin/python manage.py collectstatic --noinput
ExecStart=/usr/bin/uvicorn nummi.asgi:application --uds /run/nummi/nummi.socket
ExecReload=/bin/kill -s HUP $MAINPID
KillMode=mixed
TimeoutStopSec=5
PrivateTmp=true

[Install]
WantedBy=multi-user.target
